Bug 108502 - kdm cries invalid password to passwordless users
kdm cries invalid password to passwordless users
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
rawhide
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Rockai
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-29 23:14 EST by Felix Miata
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 3.5.1-5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-18 13:45:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Felix Miata 2003-10-29 23:14:57 EST
Description of problem:
All 500+ users have null passwords. X login manager is set to accept
passwordless logins. On a random basis, these login attempts are confronted with
the message "The password you typed is invalid. Please try again." in a small
popup after hitting the OK button or <enter>. Upon dismissing the popup. Login
proceeds normally, no password required.

Version-Release number of selected component (if applicable):
3.1.4-2

How reproducible:
Randomly

Steps to Reproduce:
1.Set users to passwordless logins
2.Click a login face in the list
3.Click OK or hit <enter>
or if the choice of login is preselected, just click OK or <enter>
    
Actual results:
1-Error dialog

Expected results:
1-no error dialog

Additional info:
/etc/sysconfig/desktop contains DESKTOP="KDE"
Comment 1 Felix Miata 2004-02-07 17:48:48 EST
Problem continues in Fedora Core 1
Comment 2 Petr Rockai 2006-07-17 14:22:06 EDT
This bug is reported against old release of Red Hat Linux or Fedora Core 
that is no longer supported. Chances are that it has been already fixed in 
newer Fedora Core release. If you still experience the problem with 
current release of Fedora Core, please update the Version field (you may 
need to switch Product to Fedora Core first) in the bug report and put it 
back to NEW state.
Comment 3 Felix Miata 2006-07-17 15:36:12 EDT
This machine won't boot ATM. I'll have to try to fix it when I have time and
then confirm this was fixed by FC4, which is on it now.
Comment 4 Felix Miata 2006-07-18 13:41:05 EDT
I can not replicate the problem in FC4 on the machine this was filed against, so
it must have been fixed somewhere along the way from FC1 to FC4.
Comment 5 Petr Rockai 2006-07-18 13:45:41 EDT
Great, assuming fixed then.

Note You need to log in before you can comment on or make changes to this bug.